static char rcsid[] = "@(#)$Id: reverse.c,v 2.3 2013/03/03 06:17:15 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.3 $   $State: Exp $
 *
 *  Modified by: Kari Hurtta <hurtta+elm@siilo.FMI.FI> 
 *                       (was hurtta+elm@posti.FMI.FI, hurtta+elm@ozone.FMI.FI)
 *           or  Kari Hurtta <elm@elmme-mailer.org>
 ******************************************************************************
 *  Based on Elm 2.4 lib/reverse.c. That code was following copyright:
 *
 *  The Elm Mail System 
 *
 *			Copyright (c) 1988-1992 USENET Community Trust
 *			Copyright (c) 1986,1987 Dave Taylor
 *****************************************************************************/

#include "elm_defs.h"

DEBUG_VAR(DebugIO,__FILE__,"core");

void reverse(string)
     char *string;
{
    /** reverse string... pretty trivial routine, actually! **/
    
    char *head, *tail, c;
    
    for (head = string, tail = string + strlen(string) - 1; 
	 head < tail; 
	 head++, tail--) {
	c = *head;
	*head = *tail;
	*tail = c;
    }
}

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
