static char rcsid[] = "@(#)$Id: aliases_helper.c,v 2.4 2013/03/03 06:17:18 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.4 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI> (was hurtta+elm@posti.FMI.FI)
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *
 *****************************************************************************/

#include "def_utils.h"
#include "addrlib.h"
#include "aliaslib.h"
#include "aliases_helper.h"

DEBUG_VAR(Debug,__FILE__,"util");

void change_aliases_map(conf,new)
     struct aliases_map ** conf;
     struct aliases_map * new; 
{
    int count = aliases_map_item_count(new);
    int a;

    if (!*conf) 
	*conf =  new_aliases_map();
    
    
    for (a = 0; a < count; a++) {
	const struct string        * key = NULL; 
	const struct address_alias * alias =
	   aliases_map_get_alias(new,a,&key);
	
	aliases_map_add_alias(*conf,key,alias);
    }
}


/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
